Loading...
Searching...
No Matches
istlsolverwrappers.hh File Reference

Provides wrapper classes for the iterative linear solvers available in dune-istl. More...

`#include <dune/istl/solvers.hh>`
`#include <opm/models/utils/propertysystem.hh>`
`#include <opm/models/utils/parametersystem.hpp>`
`#include <opm/simulators/linalg/linalgparameters.hh>`
`#include <opm/simulators/linalg/linalgproperties.hh>`

Go to the source code of this file.

## Classes

class | Opm::Linear::SolverWrapperRestartedGMRes< TypeTag >
| Solver wrapper for the restarted GMRES solver of dune-istl. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Macros

#define | EWOMS_WRAP_ISTL_SOLVER(SOLVER_NAME, ISTL_SOLVER_NAME)
| Macro to create a wrapper around an ISTL solver.

## Detailed Description

Provides wrapper classes for the iterative linear solvers available in dune-istl.

In conjunction with a suitable solver backend, solver wrappers work by specifying the "SolverWrapper" property:

template<class TypeTag>
struct LinearSolverWrapper<TypeTag, TTag::YourTypeTag>
{ using type = Opm::Linear::SolverWrapper$SOLVER<TypeTag>; };

The possible choices for '`$SOLVER'` are:

- `Richardson:` A fixpoint solver using the Richardson iteration
- `SteepestDescent:` The steepest descent solver
- `ConjugatedGradients:` A conjugated gradients solver
- `BiCGStab:` A stabilized bi-conjugated gradients solver
- `MinRes:` A solver based on the minimized residual algorithm
- `RestartedGMRes:` A restarted GMRES solver